commit 33d76a5a7e3c75d248a5a1619d8da2b2c8febd3b
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:   2012-02-26

    Minor fixes

M	src/vnr-window.c

commit 5f6e8c9fe2449d23a3ce0a86a5812dae1b9b2c60
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-26

    Fix wallpaper support for XFCE

M	src/vnr-window.c

commit cd3b039824c0a304ff1299846805f4bea8fcc656
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-26

    Set Wallapper for LXDE

M	po/he.po
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c

commit 70e60bb633484069ea5f565e7f071ca35c61fc8c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-26

    Add Hebrew translation

M	po/ChangeLog
M	po/LINGUAS
A	po/he.po

commit 1d31b84d9ebca0c07698330d81bf66c4e169679e
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-26

    Fix a typo

M	src/vnr-prefs.c

commit 766d13678296f921973f1ec8d3e88a65a4099651
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-24

    Viewnior 1.2 released

M	NEWS
M	TODO
M	src/main.c
M	src/uni-anim-view.c
M	src/uni-anim-view.h
M	src/uni-cache.c
M	src/uni-cache.h
M	src/uni-dragger.c
M	src/uni-dragger.h
M	src/uni-image-view.c
M	src/uni-image-view.h
M	src/uni-nav.c
M	src/uni-nav.h
M	src/uni-scroll-win.c
M	src/uni-scroll-win.h
M	src/uni-utils.c
M	src/uni-utils.h
M	src/uni-zoom.h
M	src/vnr-crop.c
M	src/vnr-crop.h
M	src/vnr-file.c
M	src/vnr-file.h
M	src/vnr-message-area.c
M	src/vnr-message-area.h
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-properties-dialog.c
M	src/vnr-properties-dialog.h
M	src/vnr-tools.c
M	src/vnr-tools.h
M	src/vnr-window.c
M	src/vnr-window.h
M	viewnior.doap

commit a2158c6cf39466ec38e27ce753cb9640beba2926
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-23

    Minor fix (xfconf command)

M	src/vnr-window.c

commit b4e684a5031dea2954f69c7488598c02ddbc58c5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-23

    Import translations from Launchpad

M	po/ChangeLog
M	po/LINGUAS
M	po/bg.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/es.po
C080	po/da.po	po/fi.po
M	po/fr.po
C067	po/es.po	po/gl.po
M	po/hu.po
M	po/it.po
M	po/ja.po
M	po/lt.po
M	po/nl.po
C075	po/da.po	po/oc.po
M	po/pl.po
M	po/pt.po
M	po/pt_BR.po
M	po/ru.po
M	po/sk.po
M	po/sr.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po

commit 895cd2738fd3b423158b93e4ef18967bc994a7ec
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-23

    Open images dropped with right click

M	src/vnr-window.c

commit 5157168bec74f1c35bdbc9c7a420b50745fe28f2
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-22

    Add --fullscreen command line option

M	src/main.c
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c

commit 4b05e68b67c47129fc6880fd9457bf26646b64b3
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-22

    Faster image resize in the Properties window

M	src/vnr-properties-dialog.c

commit 18e8818c07684ee547705b7b5e650048cd7cc7cc
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2012-02-22

    Set as Wallpaper support GNOME, XFCE and FluxBox

M	configure.ac
M	data/vnr-preferences-dialog.ui
M	po/Makefile.in.in
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c
M	src/vnr-window.h

commit 6f3fbfc2d17a8133920b6b0bcedc523a6aa58c8b
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2011-08-14

    Move menu as drop-down tool item

M	src/vnr-window.c
M	src/vnr-window.h

commit 513bf66e536fef1e5e4116c46dbfce82416f167c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2011-08-13

    Preferences UI builder fix

M	data/vnr-preferences-dialog.ui

commit e9cf31d22490a76ccbece16f9e432423e6f3fb86
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2011-04-15

    Save 'Auto resize' option between sessions; Move save handler

M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c

commit faa5f5e9ad7234fd2dbb0c0cf126a392a0f153ad
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2011-04-15

    Bump version number

M	configure.ac

commit e818ca1422e9c6a1041e165f01ec86e4816bb529
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-15

    Viewnior 1.1 released!

M	NEWS
M	src/vnr-window.c
M	viewnior.doap

commit ff4706fbfe7091e09d51fb79a426daac5b932527
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-15

    Import translations from Launchpad

M	po/ChangeLog
M	po/LINGUAS
M	po/bg.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/es.po
M	po/fr.po
M	po/hu.po
M	po/it.po
M	po/ja.po
M	po/lt.po
M	po/nl.po
M	po/pl.po
M	po/pt.po
C055	po/pt.po	po/pt_BR.po
M	po/ru.po
M	po/sk.po
M	po/sr.po
M	po/sv.po
C050	po/zh_CN.po	po/tr.po
M	po/uk.po
M	po/zh_CN.po

commit fd583975a9953edb4c2e695c25a9fa847b90c848
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-15

    Add keyboard shortcuts for flip and crop

M	src/vnr-window.c

commit bc31671784a902a9c2db5815bfd94b23802c3395
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-14

    Add man page

M	Makefile.am
M	configure.ac
A	man/Makefile.am
A	man/viewnior.1

commit eb95d294d5661cf1794a3971460c4400559e5008
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-14

    Add --slideshow command line option

M	src/main.c
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c

commit 821b299b4bb5399c17b0b218266a008b20b71c3c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-14

    Update icon - remove light borders

M	data/icons/16x16/apps/viewnior.png
M	data/icons/22x22/apps/viewnior.png
M	data/icons/24x24/apps/viewnior.png
M	data/icons/32x32/apps/viewnior.png
M	data/icons/48x48/apps/viewnior.png
M	data/icons/scalable/apps/viewnior.svg

commit 61e86c08d5410e8b87d091429a2e3067a75e3018
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-14

    Merge MouseHandler into UniDragger and remove MouseHandler

M	src/Makefile.am
D	src/mouse_handler.c
D	src/mouse_handler.h
M	src/uni-dragger.c
M	src/uni-dragger.h
M	src/uni-image-view.c
M	src/uni-nav.c

commit 3a7e8e16e8763432d6d0dfe2e417fc8e897a3789
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-14

    Add ToggleMenuItem to autoresize window after image load

M	src/main.c
M	src/vnr-window.c

commit 0129874a8aeb3de5193c9f4ce8564de66824241e
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-13

    Save and restore window maximized state

M	src/main.c
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c

commit 6ee529581e90a4f6d7c06979ea506f842a1211fe
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-13

    Use the API introduced in 2.14+

M	src/vnr-properties-dialog.c
M	src/vnr-window.c

commit ae80bd530d4d3fe87a57c9d166a03a5d4aeb3fa8
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-12-13

    Don't start drag when no image is opened

M	src/uni-dragger.c

commit 09297b1125e5d1b2ffcc2a3d0a59fcec6d566ad2
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-12

    Fully support Drag'n'Drop

    Allow the user to drag the image out of the working area.

M	src/uni-dragger.c
M	src/uni-image-view.c
M	src/vnr-window.c

commit 4ca8ea868309deaa07707f7c474764b8b038ef6d
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-11

    Add "Last Used" zoom mode

M	src/uni-image-view.c
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c

commit a0d3d10ec3496df5611c71c6b53b1e8d834e202f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-10

    Fix scroll zoom

M	src/uni-image-view.c

commit 8c2cbbbf878b5786be6c25ab961a5cda832fa979
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-10

    Remove deprecated symbols; Bump gtk+ and glibc requirements

M	configure.ac
M	src/uni-image-view.c
M	src/uni-nav.c
M	src/vnr-message-area.c
M	src/vnr-properties-dialog.c
M	src/vnr-window.c

commit 0da1f8c98211404216172e4a018e26329039ccba
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-10

    Enable horizontal scroll

M	src/uni-image-view.c

commit c61102790dc64f1665d3fb95d8914a2b060f404f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-10

    Hide toolbar faster in Fullscreen mode

M	src/vnr-window.c

commit 5ac165a655ace6cc000a63e57c8333b266bc363a
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-10

    Fix .desktop file (remove RasterGraphics Category)

M	data/viewnior.desktop.in.in

commit d48e25e787d343b27e5d167b6e049bf541efd06b
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-10

    Use GFileType instead of GFileAttributeType

M	src/vnr-file.c

commit 584bcdc6159031cca50ef2d38988e57da1c65588
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-10-10

    Bump version number

M	configure.ac

commit 8cf7d69c2b7b8a828d84d6a258cc8d424a77a785
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-03-30

    Viewnior 1.0 released!

M	NEWS
M	po/bg.po
M	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/es.po
M	po/fr.po
M	po/hu.po
M	po/it.po
M	po/ja.po
M	po/lt.po
M	po/nl.po
M	po/pl.po
M	po/pt.po
M	po/ru.po
M	po/sk.po
M	po/sr.po
M	po/sv.po
M	po/uk.po
M	po/zh_CN.po
M	src/main.c
M	src/mouse_handler.c
M	src/mouse_handler.h
M	src/uni-anim-view.c
M	src/uni-anim-view.h
M	src/uni-cache.c
M	src/uni-cache.h
M	src/uni-dragger.c
M	src/uni-dragger.h
M	src/uni-image-view.c
M	src/uni-image-view.h
M	src/uni-nav.c
M	src/uni-nav.h
M	src/uni-scroll-win.c
M	src/uni-scroll-win.h
M	src/uni-utils.c
M	src/uni-utils.h
M	src/uni-zoom.h
M	src/vnr-crop.c
M	src/vnr-crop.h
M	src/vnr-file.c
M	src/vnr-file.h
M	src/vnr-message-area.c
M	src/vnr-message-area.h
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-properties-dialog.c
M	src/vnr-properties-dialog.h
M	src/vnr-tools.c
M	src/vnr-tools.h
M	src/vnr-window.c
M	src/vnr-window.h
M	viewnior.doap

commit e666325ec38e1537b4f8963ea4ec7b95929d6afa
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-03-30

    Import translations from Launchpad

M	po/ChangeLog
M	po/LINGUAS
M	po/Makefile.in.in
M	po/bg.po
C066	po/it.po	po/cs.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/es.po
M	po/fr.po
M	po/hu.po
M	po/it.po
C064	po/hu.po	po/ja.po
C066	po/it.po	po/lt.po
M	po/nl.po
M	po/pt.po
M	po/ru.po
C075	po/da.po	po/sk.po
C058	po/fr.po	po/sr.po
C069	po/da.po	po/sv.po
C081	po/da.po	po/uk.po
C068	po/pt.po	po/zh_CN.po

commit c4cf41486ea96e09481f74362947f6c899a9b70b
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-03-17

    Replace "BestFit" in the right-click menu with "Open With"

M	src/vnr-window.c

commit 18b6919859f97aa3c4008cf81eac86e3adee0728
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-03-17

    Use PageUp/PageDown to navigate to the previous/next image

M	src/vnr-window.c

commit b2e1f790f14fa2cc142e18c202586c4a3352c4d2
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-03-17

    Show position/total images in fullscreen view

M	src/vnr-window.c

commit 00103d62b4b4d2eb06aa2984a07e21ffa8db43d3
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-03-17

    Stop slideshow while editing the image

M	src/vnr-window.c

commit 5e55cf15acacf6bfcddb316def42b1887de1202e
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-03-17

    Invalidate image when using uni-nav

M	src/uni-nav.c

commit 10c8922a887d8e977cbf64dafe530eabb1c170bb
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2010-03-14

    Update TODO list

M	TODO

commit 031945947ded97fc13ebc2861959b8b23ce4eb50
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-10-16

    Add web address in the About dialog

M	src/vnr-window.c

commit 44567cca2aa391cb761855dd2305dc61037198d1
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-10-16

    Use Esc key to close the window

    Like GPicView and EOG - pressing Escape key closes the window

M	src/vnr-window.c

commit 497ae1d6393aa718a72676d5e8136cd0b54e2468
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-10-16

    After cropping make the save action sensitive

M	src/vnr-window.c

commit 61e6fa951d305a8116606734989bb23ee56b14e9
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-10-05

    Post-release version bump

M	configure.ac

commit 24896a00bca70c06bdcc0669648432ce3dd1037d
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-09-06

    Viewnior 0.7 released!

M	NEWS
M	README
M	viewnior.doap

commit 315f80165ebf32a1adee1d045f3cb67a0073d476
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-09-06

    Import translations from Launchpad

M	po/ChangeLog
M	po/LINGUAS
M	po/bg.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/es.po
M	po/fr.po
M	po/hu.po
A	po/it.po
M	po/nl.po
A	po/pt.po
M	po/ru.po

commit 9bcd94848d5538354137480b023cda14088c8207
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-31

    Improve About Dialog

    Add translator credits.
    Don't mark the license string as translatable.

M	src/vnr-window.c

commit 261e67b8cf1ee3a7bb90000b681bc998da64deb5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-29

    Remove orientation tags for GtkVBoxes in vnr-crop-dialog.ui

M	data/vnr-crop-dialog.ui

commit d165cf7f07698c597040e25dfc51a54c8beb813c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-29

    Don't notify the user of GtkBuilder errors, use g_warning()

M	src/vnr-crop.c
M	src/vnr-prefs.c

commit ea68d83acd90a0359598766f8a07eede4761cce5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-29

    Display warning if the Preferences dialog UI definition is not loaded

    If gtk_builder_add_from_file() fails, display the error message.
    Don't build the dialog on vnr_prefs_init() - that way the user
    can not be notified. Build it on vnr_prefs_show_dialog().

M	src/vnr-prefs.c

commit e5ff28d0a1c36a75c589b6ff439f9bcfd7b0fbbc
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-29

    Display warning if the Crop dialog UI definition is not loaded

    If gtk_builder_add_from_file() fails, display the error message.
    At disposal, unref VnrCrop's members only if they are != NULL.

M	src/vnr-crop.c

commit 473adca7ea3661eb59dd3306a233717b9745c303
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-29

    Add "Open With" option in the File menu

M	src/vnr-window.c
M	src/vnr-window.h

commit 8d9b2591f32899dc826d043f00b273976b3df8d5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-25

    Add simple Crop functionality

    Add Image Cropping. The idea for the dialog's interface is taken
    from Mirage.

M	data/Makefile.am
A	data/vnr-crop-dialog.ui
M	po/POTFILES.in
M	src/Makefile.am
A	src/vnr-crop.c
A	src/vnr-crop.h
M	src/vnr-tools.c
M	src/vnr-tools.h
M	src/vnr-window.c

commit 56a5a9b08a15abec7a822c0ec796218af3dbc229
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-19

    Code cleanup for the Fullscreen mode

    Replace unnecessary gtk_widget_hide_all/show_all calls with
    appropriate
    gtk_widget_hide/show

M	src/vnr-window.c

commit 32495717fd79296873af8fb9a0eeb2278739c44b
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-19

    Add option to show/hide the toolbar

    Add option (toggle action in the View menu) to show/hide the toolbar
    and preference entry to store it.

M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c
M	src/vnr-window.h

commit 6095b272d857b37b24526dfc23d4c30108305590
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-19

    Remove comments from the last commit

M	src/vnr-window.c

commit d2f14209de121050eb9baed5aed72f63af94729c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-19

    Fix #415022: Custom assigned keybindings don't get saved

    Custom assigned keybindings are saved in an accel map dump file
    and loaded on startup.

M	src/vnr-window.c

commit e756c0d0ed479b3bee0e641093c50a87bc856ba3
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-13

    Add new mouse wheel action - "Scroll image up/down"

M	src/uni-image-view.c
M	src/vnr-prefs.c
M	src/vnr-prefs.h

commit ff00eb12f4f9e091d876bdcf3cd61630299f7fb5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-13

    Show "Set as Wallpaper" only if 'background' keys exist

M	src/vnr-window.c
M	src/vnr-window.h

commit 23a6125c4ffa03cdbfb5bc213b628fde7add74be
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-12

    Replace gtk_object_sink (deprecated) with g_object_ref_sink

M	src/uni-image-view.c

commit 3ceea19c355d53d7551301f3dd48aea5f0c507b0
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-12

    Replace g_unlink with g_file_delete

M	src/vnr-window.c

commit 66b6b8f3901712478cee971efedde1e31eeb435c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-12

    Apply embedded orientation on image loading

    If an orientation option/tag is present, the appropriate transform
    will be performed so that the pixbuf is oriented correctly.

M	src/vnr-tools.c
M	src/vnr-tools.h
M	src/vnr-window.c

commit ecb7dcdb691e2a8130e983893300b6468ca46432
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-12

    Small fix

M	src/vnr-window.h

commit a0126556d617e3c20becd4f1b8f67bfbbde0abe7
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-09

    Post-release version bump

M	configure.ac

commit 6fd42000ebf7826c101d73dccca639791c637062
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-09

    Viewnior 0.6 released!

M	INSTALL
M	NEWS
M	README
M	viewnior.doap

commit e1ae3e6811dc430dd615d80a7189edd8aa96089c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-09

    Revert "Remove Wallpaper support"

    This reverts commit cb3e12a524d8a8c626999fc6609359eecc092c7d.

M	INSTALL
M	README
M	configure.ac
M	src/vnr-window.c
M	src/vnr-window.h

commit 6432d6e23c7b319b54eb656c132daa84e5e398a7
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-09

    Import translations from Launchpad

M	po/ChangeLog
M	po/LINGUAS
M	po/bg.po
M	po/da.po
M	po/de.po
M	po/el.po
M	po/es.po
A	po/fr.po
M	po/hu.po
A	po/nl.po
M	po/pl.po
M	po/ru.po

commit 5c2d563f8850d7b1e6b05eed8026b5ce8bda06a3
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-03

    Add Reload entry in the File menu

M	src/vnr-window.c

commit 2ad194a7f97dc880eeb684e0c15b8ddd6ca22ba9
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-03

    Add an option to reload the image after save

M	data/vnr-preferences-dialog.ui
M	src/vnr-prefs.c
M	src/vnr-prefs.h
M	src/vnr-window.c

commit 9cb328f5ce255cfce99dded291afcf90a6414384
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-02

    Cleanup includes

M	src/main.c
M	src/mouse_handler.c
M	src/mouse_handler.h
M	src/uni-cache.h
M	src/uni-dragger.c
M	src/uni-dragger.h
M	src/uni-image-view.c
M	src/uni-image-view.h
M	src/uni-nav.c
M	src/uni-scroll-win.c
M	src/uni-scroll-win.h
M	src/vnr-properties-dialog.c
M	src/vnr-properties-dialog.h
M	src/vnr-window.c
M	src/vnr-window.h

commit 0e3854619803c6582fb6506acb8ee7a976b968a5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-01

    Update window's title on save

M	src/vnr-window.c

commit caba448dee5c91cf8b956c4e75223248ac3052b3
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-08-01

    Indicate image modification in the titlebar

    Show "*" before the filename in the titlebar when the image is
    modified but not saved.

M	src/vnr-window.c

commit e0cbdbe1dac3ed9b21075e3187a31a548298192f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-31

    Fix zooming on double click

    Fix image offset errors with zooming with a center after double click

M	src/uni-image-view.c

commit 1520c5f12e3ee84dd154d8af3351b7faabeb56ce
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-31

    Small fixes

M	src/Makefile.am
M	src/vnr-properties-dialog.c

commit 3e5bbd04de6ee439af90867754ada165a69409d7
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-31

    Decrease the spacing of the VnrPreferencesDialog's boxes

    The spacing between the elements of the VBoxes residing in the
    preferences dialog was too big (10) and now is decreased to 6

M	data/vnr-preferences-dialog.ui

commit 40cd555835840c4540eae51013eb3603c47e7033
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-31

    Add "Save" command in the File menu

    The option to ignore the image modifications left the user no way
    to save the image.

M	src/vnr-window.c
M	src/vnr-window.h

commit f452ffcf94ee96b80cb4b20514f44a3e1d6af62a
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-31

    Replace image dimensions in the title with image number

    Since image dimensions are listed in the Properties dialog we can
    replace that information in the title with the current position of
    the image in the list of loaded images.

M	src/vnr-tools.c
M	src/vnr-tools.h
M	src/vnr-window.c

commit 6bad54766f9ddcbb51c614612878386aefcf1a03
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-30

    Update strings for translations

    Mark all strings in vnr-preoperties-dialog.
    Mark 2 strings in vnr-window left out by mistake.

M	po/POTFILES.in
M	src/vnr-properties-dialog.c
M	src/vnr-window.c

commit c7b2526feacf2dd93e4c4e4beb04c3482ca0cb51
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-30

    Replace strcmp() with g_strcmp0()

    This caused a compilation warning on some systems.

M	src/vnr-window.c

commit 68a734b6043a831a003a325f12fc2cf704a2560e
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-29

    Add Preferences dialog

    Add Preferences dialog that uses GKeyFile to store the data.
    Add options for:
    Initial zoom mode, mouse actions, image quality on saving, showing
    hidden files, smoothing images when zoomed, confirming deletion,
    slideshow timeout, upscaling images in fullscreen mode.

M	data/Makefile.am
A	data/vnr-preferences-dialog.ui
M	po/POTFILES.in
M	src/Makefile.am
M	src/main.c
M	src/uni-image-view.c
M	src/uni-image-view.h
M	src/vnr-file.c
M	src/vnr-file.h
A	src/vnr-prefs.c
A	src/vnr-prefs.h
M	src/vnr-window.c
M	src/vnr-window.h

commit 1817dc14239e88ad128a0cf7a83a1632dec277ec
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-19

    Replace empty labels with "None" in an empty Properties dialog

M	src/vnr-properties-dialog.c

commit 37fd7331d93c7564bcc6db9855040c26846911e1
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-18

    Fill Doap file

M	viewnior.doap

commit 19b5d1b6e25d9cbaa2e4f30dac407edf586615e5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-17

    Improve code readability

    Unify variable names
    Rename variables to match their purpose

M	src/main.c
M	src/vnr-file.c
M	src/vnr-file.h
M	src/vnr-properties-dialog.c
M	src/vnr-window.c
M	src/vnr-window.h

commit 7d1d75bf0871083b153597c8484d19dbd4eba8f1
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-17

    Add Properties dialog

M	src/Makefile.am
A	src/vnr-properties-dialog.c
A	src/vnr-properties-dialog.h
M	src/vnr-window.c
M	src/vnr-window.h

commit 7860caebbf19436657b3678f2e2a3c0481c07664
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-12

    Fix errors with autohide when Delete dialog is opened

    When the cursor is hidden and the dialog pops, the cursor must be
    shown.
    When the dialog pops, the autohide timeout should be removed and
    reset after the dialog hides.

M	src/vnr-window.c
M	src/vnr-window.h

commit 03122540eba30d1bae7fd2d8122fecba51422eae
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-12

    Code improvements in vnr-window

    Rename some variables and functions for clarity.
    Rearrange functions, add prototypes where needed

M	src/vnr-window.c
M	src/vnr-window.h

commit 530e8913464dde60b7e8aa40d03b55457cdae81d
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-12

    Update INSTALL

    After ./autogen.sh the INSTALL file was updated automaticly

M	INSTALL

commit 8ab4740f5e515e1f68f18f1d03595d9254b6bbbd
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-12

    Use Shave to improve build log readability

M	.gitignore
M	configure.ac
A	m4/shave.m4
A	shave-libtool.in
A	shave.in
M	src/Makefile.am

commit 92a597d6ecf545e86fa54b6813465c30b0eeea76
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-12

    Increase the maximum width and height of the window

M	src/vnr-window.c

commit a52d79cf37520fd87ac2fbcae0c168439225e165
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-11

    Fix error when opening invalid paths

    Drag&drop a file with a scheme like x-nautilus-desktop://
    (Shortcuts on desktop) caused vnr_file_load_single_uri() to receive
    a NULL pointer as an argument instead of an actual path.

M	src/vnr-tools.c
M	src/vnr-window.c

commit b976018fb2ceb9e5e86f2aad4e7cc7c35bfa77a4
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-10

    Use Space/Backspace to show next/previous image

    Space was used to start/stop slideshow, but now it isn't needed.
    As suggested, Space/Backspace now moves to the  next/previous image

M	src/vnr-window.c

commit 0fb7a9343d1e1839b68852730955d570c5935727
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-10

    Toolbar is initially hidden in Fullscreen mode

M	src/vnr-window.c

commit ccd4e3d07ab74b66af2d8a0992e6ce571ec980d6
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-10

    Add "Slideshow" command

    Add "Slideshow" command in the View menu.

M	src/vnr-window.c

commit ed24d81820518f16bf4b7cd951c5b322035ac438
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-10

    Remove viewnior-ui*.xml from POTFILES.skip

    viewnior-ui.xml and viewnior-ui-nowallpaper.xml don't exist.

M	po/POTFILES.skip

commit cb3e12a524d8a8c626999fc6609359eecc092c7d
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-10

    Remove Wallpaper support

M	INSTALL
M	README
M	configure.ac
M	src/vnr-window.c
M	src/vnr-window.h

commit 84ba6936e4a07a25435aacffabb685219d9c0bf5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-07-10

    Post-release version bump

M	configure.ac

commit e11eb3ac208207faa30ab7a2c2433913ce2cc1fe
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-26

    Viewnior 0.5 released!

M	NEWS
M	README
M	TODO
M	configure.ac

commit 17dfb6dc68dc435858b29576c21f9d64f3466a44
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-26

    Import translations from Launchpad

    Add new translations: da, el, ru
    Update existing

M	po/ChangeLog
M	po/LINGUAS
M	po/bg.po
A	po/da.po
M	po/de.po
A	po/el.po
M	po/es.po
M	po/hu.po
M	po/pl.po
A	po/ru.po

commit c23a383b7f50f80e1a90e797a681131fb43a7bc7
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-24

    Add license note for included icons

M	README

commit 72e0e143432be6a9129a02e2ea708e3c63895955
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-24

    Add strings for translation

M	po/POTFILES.in
M	src/vnr-window.c

commit 4c4f1c1c70ce02f4bad48bc3acaaa36c7d131b2c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-22

    Use fallback icons if icon does not exist

    Some distros don't ship rotation and flip icons.
    Now they are included in the package.
    Icons taken from:
    object-rotation-left.png, object-rotation-right.png - Elementary
    object-flip-horizontal.png, object-flip-vertical.png - Gnome

M	data/Makefile.am
A	data/pixmaps/object-flip-horizontal.png
A	data/pixmaps/object-flip-vertical.png
A	data/pixmaps/object-rotate-left.png
A	data/pixmaps/object-rotate-right.png
M	src/Makefile.am
M	src/main.c

commit f6f0bf2d8431d099461f66ac0fed324bd3180ce4
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-18

    Replace gtk_main_iteration_do() with gdk_flush()

    gdk_flush() shows the newly setted cursor even when a menu is
    opened (it didn't work before).

M	src/vnr-window.c

commit 0ca79383c8406d8e2afe7d1ef344950c20876d61
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-18

    Add pupop menu

    Add popup mnu avaliable through right-click on the imageview area

M	src/uni-image-view.c
M	src/vnr-window.c
M	src/vnr-window.h

commit 57a0a43d0ed8e81c5a81db3ed3c2e34502ac5f0c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-18

    Fix autohide on fullscreen

    When loading an image, the "cursor_is_hidden" property isn't
    honored.
    After leaving fullscreen mode, the sursor doesn't show.

M	src/vnr-window.c

commit bfbf261bc2aa98b2a64c1183b7065f7a5eafdc21
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-17

    Add image/vnd.microsoft.icon as supported MIME type

    Images in this format can be viewed, but their type isn't added to
    the list of supported MIME types of gdk-pixbuf.

M	src/vnr-file.c

commit afecc903af65a586dd1ee7cec590fec6a2fc6480
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-16

    Change how the modifications are tracked

    Modification tracking now requires 1 variable. This makes source
    harder to read, but actually the idea is the same.

M	src/vnr-window.c
M	src/vnr-window.h

commit aa59720932a80c5bec614fecc6d84e89989324d3
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-16

    Autohide cursor on fullscreen

M	src/vnr-window.c
M	src/vnr-window.h

commit 77a8be9050bd5714c699925e192a8dcceca9e254
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-16

    Reduce UniMessageArea border width

M	src/vnr-message-area.c

commit d2f3b748ce13835b7de27251d8f220c757b15c80
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-15

    Check if the next/previous image is the same

    Don't reload current image if the list contains only one (or no)
    image. When the message area is shown, this caused it to hide.
    Remove unnecessary if() statements in most vnr_window_cmd_*
    functions.

M	src/vnr-window.c

commit 41b188c5ed4eeb4afb757039af4079b9e67288b7
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-15

    Add "Save" functionality

    Image modifications can be saved using the GdkPixbuf API.

M	src/vnr-file.c
M	src/vnr-message-area.c
M	src/vnr-tools.c
M	src/vnr-tools.h
M	src/vnr-window.c
M	src/vnr-window.h

commit 3504dd503816d6315d888d3aed8a1125763e2e11
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-15

    Use GDK_0 to fit image to window (like GDK_KP_0)

M	src/uni-image-view.c

commit da5ddb6f0e4ffd29d0c6c76800f8b30f81f80562
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-14

    Autohide toolbar on fullscreen

    Autohide the toolbar when in fullscreen mode.
    Note, that the cursor isn't hidden.

M	src/vnr-file.c
M	src/vnr-window.c
M	src/vnr-window.h

commit 4069917e2ba0ce64b3b97451d5d83d493e100970
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-12

    Use G_DIR_SEPARATOR insted of "/"

    This fixes errors when compiling under Windows
    (something I really don't want to do :)

M	src/vnr-file.c

commit 0f549b31d35de8e80d97c221da55b14c1128d8df
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-10

    Use ngettext for plural forms

    Make use of ngettext() when showing the seconds in slideshow mode

M	src/vnr-window.c
M	src/vnr-window.h

commit 184c923428bed7f6371fe6ed547496075a2a51f3
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-10

    Don't call ./configure in ./autogen.sh

M	autogen.sh

commit a339a132c929fc286fd01f8dec4c88fb2d0b97af
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-10

    Update image size after rotating

    Update the current image size variables after rotating

M	src/vnr-window.c

commit 240ac1a61f8ce686d7bbd7a23b5fbd89dfbe8dbd
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-10

    Make mh_grab_pointer return void

    The return value of mouse_hander_grab_pointer is never used, so
    the function shouldn't return anything

M	src/mouse_handler.c

commit f1ecb37427b81a01cf06ff561a6d633dd6f56c34
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-10

    Code cleanup

    Remove fuzzy comments
    Remove unused functions:
     uni_image_view_get_zoom
     uni_anim_view_get_anim
     uni_scroll_win_enter_notify
     uni_scroll_win_leave_notify
    Remove unused cursor pointers in UniDragger
    Make uni_anim_view_step static
    Remove highlighted version of the UniNav button

M	src/mouse_handler.c
M	src/mouse_handler.h
M	src/uni-anim-view.c
M	src/uni-anim-view.h
M	src/uni-dragger.c
M	src/uni-dragger.h
M	src/uni-image-view.c
M	src/uni-image-view.h
M	src/uni-nav.c
M	src/uni-scroll-win.c
M	src/uni-scroll-win.h
M	src/vnr-tools.c
M	src/vnr-window.c
M	src/vnr-window.h

commit dbbb13bc70b5908e91c949bf7bc1b557e4f6e898
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-09

    Add buttons to VnrMessageArea

    Add GtkHButtonBox to the layout. To show the area with buttons
    you pass the stock id of the button and the callback to be called
    if the button is clicked. A "cancel" button is included by default.
    Introduce is_critical - if it is
    TRUE, a GTK_STOCK_DIALOG_WARNING is displayed, otherwise
    GTK_STOCK_DIALOG_INFO is displayed. get_visible is replaced with
    is_critical, where we need to check not the visibility, but if
    there is an error showed.

M	src/main.c
M	src/vnr-message-area.c
M	src/vnr-message-area.h
M	src/vnr-window.c

commit 4be8b68e145a7c2d9ec3abf3645bf8b4835d1f90
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-06

    Call vnr_window_open() after VnrWindow is realized

    To Get monitor's geometry, we need VnrWindow's window (GdkWidget),
    which is initialized after we realize VnrWindow. Replacing
    menu_bar_allocate_cb with window_realize_cb, where we get the
    monitor's geometry and call vnr_window_open(), works fine.

M	src/vnr-window.c

commit 9832260e4c81f73c96980fa71a142689e61ad2ce
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-06

    Fix multimonitor bug

    Viewnior check's the whole screen resolution to define the maximum
    space it can take. But using this method on screen, which use more
    than one monitor, this causes stretching the window.
    Now Viewnior checks the size of the monitor on which is displayed.

M	src/vnr-window.c

commit 3986eb8f58fe253605410dc364efa4800af8fc30
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-06

    Fixing screen ratio bug

    When the image and the screen have the same ratio, the window is
    resized acording the maximum size values. BUT width and height
    are both equal to max_height, which ISN'T correct.
    This bug is detected on 1024x768 screen. On my 1152x864 it doesn't
    appear.

M	src/vnr-tools.c

commit 4381f39f26b54dd92f309c6bf8c2da824f9e99ea
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-04

    Show image size and zoom ratio in window title

    Use "zoom_changed" event from UniImageView to show the image ratio
    in the title.
    Add current image's height and width dimensions as members of
    VnrWindow for easier access.

M	src/uni-image-view.c
M	src/uni-image-view.h
M	src/vnr-window.c
M	src/vnr-window.h

commit a7dd20245f92bccc44631b2fd85295bc6238c9ee
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-04

    Imporve "Fit to window"

    Now "Fit to window" resizes the image to fit the window, even when
    that causes to zoom more than 1x (UNI_FITTING_FULL). But loading
    an image still fits it the old way (UNI_FITTING_NORMAL).

M	src/uni-image-view.c
M	src/uni-image-view.h
M	src/vnr-window.c

commit fbd0ffec2ee2fbf1b0fb147bb4390829193cc959
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-06-04

    Code cleanup

    Remove unused GtkImageTransp enumeration.
    In UniAnimView - add timeout to iterate the animation only if the
    pixbuf is actually an animation (not static).

M	src/uni-anim-view.c
M	src/uni-image-view.c
M	src/uni-image-view.h

commit 97102a7f1953f5206a5dbda620656298c0c77fac
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-24

    Fix error when dragging items from GnomeMenu

    Fix crash, when dragging item from the Place menu.

M	src/vnr-tools.c

commit b048df00bd104591e49f26447fa5751231b73b4f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-24

    Update strings for translation

M	src/vnr-file.c
M	src/vnr-window.c

commit c1fcb484422ea0e0f7d47cf28576f35aa1acba5e
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-24

    Move SetAsWallpaper to Image menu and add keybinding

    Moved SetAsWallpaper to Image menu, and trigger the callback when
    pressing Control+F8 (as in eog)

M	src/vnr-window.c

commit 55b19e223ddd6c7d54ea3289c5cb4691a9663e8f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-24

    Show error when opening non-graphic file

    When opening a non-graphic file (but in the same directory there
    are graphical files), don't switch to the next available graphical
    file, but show an error message instead.

M	src/main.c
M	src/uni-image-view.h
M	src/vnr-file.c
M	src/vnr-window.c

commit 1e97b85ce1b5f1836a5d8affaa1ddf5b8cb4c16e
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-22

    Add rotation and flipping

    And rotation and flipping functionality using GdkPixbuf API.
    No autosave options present.
    Code cleanup.

M	src/uni-anim-view.c
M	src/uni-anim-view.h
M	src/uni-image-view.c
M	src/vnr-message-area.c
M	src/vnr-window.c
M	src/vnr-window.h

commit 9e1a5a54317edbb7ef67b88b0e89766cea497d09
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-21

    Return shared-mime-info check

    Return the check for shared-mime-info and gdk-pixbuf.
    This solves the problem of unpossibility to locate images using
    mimetype.

M	configure.ac

commit d489be2abb1ca18c6c7c50efac7a4e64b1a860ca
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-21

    Move ui definitions in the binary

    Use ui_manager_add_ui_from_string insted of adding it from file.
    This removes the need to install xml files and the further slowing
    down the app because of loading from the hard drive.

M	data/Makefile.am
D	data/viewnior-ui-nowallpaper.xml
D	data/viewnior-ui.xml
M	src/Makefile.am
M	src/vnr-window.c

commit 7c173daf043ed1ae44051a4f0d376856db23c562
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-20

    Add Hungarian translation

    Add Hungarian translation by Peter Polonkai

M	po/ChangeLog
M	po/LINGUAS
A	po/hu.po

commit 36d83d77af18d698ca78a1d9690ac86ba70a3945
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-20

    Change Open File/Folder images

    Change Open File / Open Folder images from GTK_STOCK_OPEN
    to GTK_STOCK_FILE and GTK_STOCK FOLDER. This makes them easier to
    locate what you need.

M	src/vnr-window.c

commit fefc303087eb8edffa79d1103ac9fb75aadd220d
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-20

    Build fixes

    Drop unused dependencies (like gnome-icon theme, shared-mime-info,
    gdkpixbuf).
    Change "Resize window" to "Adjust window size".
    Update About Dialog

M	INSTALL
M	configure.ac
M	po/bg.po
M	po/de.po
M	po/es.po
M	src/vnr-window.c

commit 3e3bb6ea30157c04c043bfd9749ac4f0d25cddeb
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-20

    Add German and Spanish translations

M	po/ChangeLog
M	po/LINGUAS
A	po/de.po
A	po/es.po

commit de5bca58e4313de519d02c1cf32caea0a765758f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-20

    Added Polish translation by Tomasz Salacinski

M	po/LINGUAS
A	po/pl.po

commit dcbb0465867ec649684a1cd2f5d95e8bd782e26f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-19

    Viewnior 0.4 released!

M	NEWS
M	README
M	configure.ac
M	po/bg.po
M	src/vnr-window.c
M	viewnior.doap

commit c85c5304f8c7460a52ac3fe17fb9f8677c2aecbd
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-19

    Add Fullscreen/Slideshow

    Add Fullscreen support in Viewnior. The interface provides option
    to change the image every n seconds (slideshow).
    Code cleanup.

M	data/viewnior-ui-nowallpaper.xml
M	data/viewnior-ui.xml
M	src/main.c
M	src/uni-image-view.c
M	src/vnr-file.c
M	src/vnr-window.c
M	src/vnr-window.h

commit 6a19e160ac50c90a985fcadb466056bff130fa37
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Drop GConf dependecy if --disable-wallpaper

    When --disable-wallpaper is past, we don't need GConf anymore,
    so no checking for gconf-2.0 is made! Also, no calls to gconf -
    related functions are made.

M	configure.ac
M	src/vnr-window.c
M	src/vnr-window.h

commit f9172a0615c42599c6d635835e140f64b35225f5
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Add "Resize Window" feature

    Add "Resize Window" in View menu. When activated, it resizes the
    window to fit perfectly on the currently opened image.

M	data/viewnior-ui-nowallpaper.xml
M	data/viewnior-ui.xml
M	src/vnr-window.c

commit 11822f095df48f47c5de3bf73f2f72acfbc82e5a
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Update Bulgarian translation

M	po/ChangeLog
M	po/bg.po
M	src/vnr-window.c

commit 52199fc3a1226d5df9d7fda7766302467bcd862f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Add viewnior-ui-nowallpaper.xml to EXTRADIST

    viewnior-ui-nowallpaper.xml wasn't included in EXTRADIST when
    package was build with wallpaper support, so I added both xmls
    in the package

M	data/Makefile.am

commit 41420d033d243c9da7de7d1f320ee8320e1eacf1
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Fix 'make distcheck' error

    Fix distcheck error becuse of not cleaning ChangeLog after
    distclean.

M	Makefile.am
M	po/POTFILES.skip

commit 97d3892392ffccf3ed6e472c6171f3f8d3f55abb
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Make SetAsWallpaper optional using --disable-wallpaper

    Wallpaper change functionality is there only for the Gnome desktop,
    so if you use another desktop, you should compile with
    ./configure --disable-wallpaper

M	configure.ac
M	data/Makefile.am
C093	data/viewnior-ui.xml	data/viewnior-ui-nowallpaper.xml
M	data/viewnior-ui.xml
M	src/vnr-window.c

commit e0a27d05350a7f5ca2c4c451d56803ae8f4ef2e9
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Add Delete functionality

    Add File->Delete in the menu, and a keybinding to the Delete key.
    Deletion is permanent, because the Trash functionality is only
    available in Gnome desktops (this reminds me to make "SetAsWallpaper"
    optional)

M	data/viewnior-ui.xml
M	src/main.c
M	src/vnr-message-area.c
M	src/vnr-message-area.h
M	src/vnr-window.c
M	src/vnr-window.h

commit ee45eb73407815112696ddd1ad03bb09bc0b08d8
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Code cleanup

    Code cleanup around file opening functionality

M	src/main.c
M	src/vnr-window.c
M	src/vnr-window.h

commit b58abd357bdf14626e2c5b32f95b17c5c12faa4d
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-18

    Add File->Open menu entry

    Add File->Open menu entry, which shows GtkFileChooserDialog and
    automaticly navigates to the folder, containing the currently
    opened image (if one).

M	data/viewnior-ui.xml
M	src/vnr-file.c
M	src/vnr-window.c

commit 8fe08ef0302a68e5d24e3518acb2a795c38a2bdc
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-17

    Change cursor on loading dropped image

M	src/vnr-window.c

commit db6b44fd4f08ac3aec59f662c359f7f45955e6a6
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-17

    Fix some Drag'n'Drop errors

    Fix - UniAnimView doesn't unload animations well.
    Better manage ActionGroup sensitivity changes.
    Code cleanup

M	src/uni-anim-view.c
M	src/vnr-window.c

commit d0af9135f9c52d91ed733d9b8a76aacaa4019d07
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-17

    Add "SetAsWallpaper" and Drag'n'Drop functionality

    Add "Set as wallpaper" in the menubar.
    Add Drag and Drop support.
    Fix a bug - when opening the last image in a dir, g_list_length()
    returns 1 (only one element in the list).

M	configure.ac
M	data/viewnior-ui.xml
M	src/vnr-file.c
M	src/vnr-tools.c
M	src/vnr-tools.h
M	src/vnr-window.c
M	src/vnr-window.h

commit 144b7b3ab6be8be1d69eb3e81594e4c48e2b00ad
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-17

    Viewnior 0.3 released!

M	Makefile.am
M	NEWS
M	README
M	configure.ac
M	po/ChangeLog
M	po/POTFILES.in
M	po/bg.po

commit f9af6ef58a42db2e111a2ab1ad8a3b5944cc74a8
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-17

    Discontinue ChangeLog

    Now Changelog is built from the commit messages using git log.

M	.gitignore
R100	ChangeLog	ChangeLog-20090517
M	Makefile.am

commit ba679a0699d4619d56a467fd56e8eb649fa86d37
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-17

    Remove unavailable menu entries

    Remove "Set as wallpaper", "Contents" and "Move to trash".
    Update TODO.

M	TODO
M	data/viewnior-ui.xml
M	src/vnr-window.c

commit cbd2964c261f53c5b6a4a7b956fb7485cd1fb4bc
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-16

    Use GtkUIManager for menu and toolbar

    Remove old VnrMenuBar and VnrToolbar(not flexible enough) and
    implement GtkUIManager, ActionGroups, AccelGroups. Reverted
    back to uni-image-view's keybindings.
    Add About dialog.

M	data/Makefile.am
A	data/viewnior-ui.xml
M	src/Makefile.am
M	src/uni-image-view.c
D	src/vnr-toolbar.c
D	src/vnr-toolbar.h
M	src/vnr-window.c
M	src/vnr-window.h

commit f9071a7aad26a86cf8baec97b3bc5318ca1ca68f
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-07

    Move toolbar API to vnr-toolbar.[ch]

    Moved toolbar's code to vnr-toolbar.[ch] and changed VnrWindow's
    max height and width from 0.8 to 0.7 fmo the screen size.

M	src/Makefile.am
A	src/vnr-toolbar.c
A	src/vnr-toolbar.h
M	src/vnr-window.c
M	src/vnr-window.h

commit 2420b124bad141ebb1259177f0801a6146e288ed
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-03

    Add dumb toolbar to see how it looks like

    Viewnior's aims to provide minimalistic, simple interface, so the
    toolbar (if any at all) will be GTK_TOOLBAR_ICONS style, hidden
    by default. Good idea is to include EphySpinner.

M	src/vnr-window.c
M	src/vnr-window.h

commit 6a18947ed3c6b36adcd3c7e94c3ef91987449c30
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-02

    Fix size allocation errors because of adding the menubar

    Insert dumb MenuItems to test visibility.
    Remove the minimum size check from vnr_tools_fit_to_size() and
    implement
    the functionality with GtkRequisition of UniScrollWin.
    Add "size-allocate" callback on VnrMenuBar, that calls
    vnr_window_open, so
    that when opening the image, we know how much space the window has
    to take.
    Comments cleanup.

M	src/main.c
M	src/uni-scroll-win.c
M	src/vnr-window.c

commit 3e621e93bb2ada19d16321782ae0fb9de0be3fb8
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-02

    Update Bulgarian translation

M	TODO
M	po/ChangeLog
M	po/POTFILES.in
M	po/bg.po

commit 173dc74e2804a482d31f18b0fb31ba0c382af38c
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-02

    Prepare code for translation

M	src/Makefile.am
M	src/main.c
M	src/uni-scroll-win.c

commit dd31adff00b9af236c8076f5db74f96c1cb447e7
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-02

    Add AM_PROG_CC_C_0 to configure.ac

    Add AMD_PROG_CC_C_0 to configure.ac, after finding, that some
    versions of automake need it. Without it, my automake refuses to
    do autoreconf.

M	.gitignore
M	configure.ac

commit 44fbf7b7c99764a9f4955accb887c25ceef79c85
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-02

    Remove conflicting key bindings

M	src/uni-image-view.c

commit 9b11ca18d41863fd00ffdc0970a5db6425f250cf
Author: Siyan Panayotov <xsisqox@gmail.com>
Date:	2009-05-01

    Migrating to GIT

    Added viewnior.doap and .gitignore files

A	.gitignore
A	po/.gitignore
M	po/Makefile.in.in
A	src/.gitignore
A	viewnior.doap
